# Project: RakNet
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = Source/_FindFirst.o Source/AsynchronousFileIO.o Source/BitStream.o Source/CheckSum.o Source/CommandParserInterface.o Source/ConnectionGraph.o Source/ConsoleServer.o Source/DataBlockEncryptor.o Source/DataCompressor.o Source/DirectoryDeltaTransfer.o Source/DS_BytePool.o Source/DS_ByteQueue.o Source/DS_HuffmanEncodingTree.o Source/DS_Table.o Source/EmailSender.o Source/EncodeClassName.o Source/EpochTimeToString.o Source/ExtendedOverlappedPool.o Source/FileList.o Source/FileListTransfer.o Source/FileOperations.o Source/FormatString.o Source/FullyConnectedMesh.o Source/FunctionThread.o Source/GetTime.o Source/GridSectorizer.o Source/LightweightDatabaseClient.o Source/LightweightDatabaseCommon.o Source/LightweightDatabaseServer.o Source/LinuxStrings.o Source/LogCommandParser.o Source/MessageFilter.o Source/NatPunchthrough.o Source/NetworkIDManager.o Source/NetworkIDObject.o Source/PacketConsoleLogger.o Source/PacketFileLogger.o Source/PacketLogger.o Source/PluginInterface.o Source/RakMemoryOverride.o Source/RakNetCommandParser.o Source/RakNetStatistics.o Source/RakNetTransport.o Source/RakNetTypes.o Source/RakNetworkFactory.o Source/RakPeer.o Source/RakSleep.o Source/Rand.o Source/ReadyEvent.o Source/ReliabilityLayer.o Source/ReplicaManager2.o Source/ReplicaManager.o Source/rijndael.o Source/Router.o Source/RPCMap.o Source/SHA1.o Source/SimpleMutex.o Source/SocketLayer.o Source/StringCompressor.o Source/StringTable.o Source/SystemAddressList.o Source/TableSerializer.o Source/TCPInterface.o Source/TelnetTransport.o Source/ThreadsafePacketLogger.o Source/AutoRPC.o Source/RakString.o RakNet.o $(RES)
LINKOBJ  = Source/_FindFirst.o Source/AsynchronousFileIO.o Source/BitStream.o Source/CheckSum.o Source/CommandParserInterface.o Source/ConnectionGraph.o Source/ConsoleServer.o Source/DataBlockEncryptor.o Source/DataCompressor.o Source/DirectoryDeltaTransfer.o Source/DS_BytePool.o Source/DS_ByteQueue.o Source/DS_HuffmanEncodingTree.o Source/DS_Table.o Source/EmailSender.o Source/EncodeClassName.o Source/EpochTimeToString.o Source/ExtendedOverlappedPool.o Source/FileList.o Source/FileListTransfer.o Source/FileOperations.o Source/FormatString.o Source/FullyConnectedMesh.o Source/FunctionThread.o Source/GetTime.o Source/GridSectorizer.o Source/LightweightDatabaseClient.o Source/LightweightDatabaseCommon.o Source/LightweightDatabaseServer.o Source/LinuxStrings.o Source/LogCommandParser.o Source/MessageFilter.o Source/NatPunchthrough.o Source/NetworkIDManager.o Source/NetworkIDObject.o Source/PacketConsoleLogger.o Source/PacketFileLogger.o Source/PacketLogger.o Source/PluginInterface.o Source/RakMemoryOverride.o Source/RakNetCommandParser.o Source/RakNetStatistics.o Source/RakNetTransport.o Source/RakNetTypes.o Source/RakNetworkFactory.o Source/RakPeer.o Source/RakSleep.o Source/Rand.o Source/ReadyEvent.o Source/ReliabilityLayer.o Source/ReplicaManager2.o Source/ReplicaManager.o Source/rijndael.o Source/Router.o Source/RPCMap.o Source/SHA1.o Source/SimpleMutex.o Source/SocketLayer.o Source/StringCompressor.o Source/StringTable.o Source/SystemAddressList.o Source/TableSerializer.o Source/TCPInterface.o Source/TelnetTransport.o Source/ThreadsafePacketLogger.o Source/AutoRPC.o Source/RakString.o RakNet.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -lws2_32  
INCS =  -I"C:/Dev-Cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include" 
BIN  = RakNet.dll
CXXFLAGS = $(CXXINCS)  
CFLAGS = $(INCS)  
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before RakNet.dll all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

DLLWRAP=dllwrap.exe
DEFFILE=libRakNet.def
STATICLIB=libRakNet.a

$(BIN): $(LINKOBJ)
	$(DLLWRAP) --output-def $(DEFFILE) --driver-name c++ --implib $(STATICLIB) $(LINKOBJ) $(LIBS) -o $(BIN)

Source/_FindFirst.o: Source/_FindFirst.cpp
	$(CPP) -c Source/_FindFirst.cpp -o Source/_FindFirst.o $(CXXFLAGS)

Source/AsynchronousFileIO.o: Source/AsynchronousFileIO.cpp
	$(CPP) -c Source/AsynchronousFileIO.cpp -o Source/AsynchronousFileIO.o $(CXXFLAGS)

Source/BitStream.o: Source/BitStream.cpp
	$(CPP) -c Source/BitStream.cpp -o Source/BitStream.o $(CXXFLAGS)

Source/CheckSum.o: Source/CheckSum.cpp
	$(CPP) -c Source/CheckSum.cpp -o Source/CheckSum.o $(CXXFLAGS)

Source/CommandParserInterface.o: Source/CommandParserInterface.cpp
	$(CPP) -c Source/CommandParserInterface.cpp -o Source/CommandParserInterface.o $(CXXFLAGS)

Source/ConnectionGraph.o: Source/ConnectionGraph.cpp
	$(CPP) -c Source/ConnectionGraph.cpp -o Source/ConnectionGraph.o $(CXXFLAGS)

Source/ConsoleServer.o: Source/ConsoleServer.cpp
	$(CPP) -c Source/ConsoleServer.cpp -o Source/ConsoleServer.o $(CXXFLAGS)

Source/DataBlockEncryptor.o: Source/DataBlockEncryptor.cpp
	$(CPP) -c Source/DataBlockEncryptor.cpp -o Source/DataBlockEncryptor.o $(CXXFLAGS)

Source/DataCompressor.o: Source/DataCompressor.cpp
	$(CPP) -c Source/DataCompressor.cpp -o Source/DataCompressor.o $(CXXFLAGS)

Source/DirectoryDeltaTransfer.o: Source/DirectoryDeltaTransfer.cpp
	$(CPP) -c Source/DirectoryDeltaTransfer.cpp -o Source/DirectoryDeltaTransfer.o $(CXXFLAGS)

Source/DS_BytePool.o: Source/DS_BytePool.cpp
	$(CPP) -c Source/DS_BytePool.cpp -o Source/DS_BytePool.o $(CXXFLAGS)

Source/DS_ByteQueue.o: Source/DS_ByteQueue.cpp
	$(CPP) -c Source/DS_ByteQueue.cpp -o Source/DS_ByteQueue.o $(CXXFLAGS)

Source/DS_HuffmanEncodingTree.o: Source/DS_HuffmanEncodingTree.cpp
	$(CPP) -c Source/DS_HuffmanEncodingTree.cpp -o Source/DS_HuffmanEncodingTree.o $(CXXFLAGS)

Source/DS_Table.o: Source/DS_Table.cpp
	$(CPP) -c Source/DS_Table.cpp -o Source/DS_Table.o $(CXXFLAGS)

Source/EmailSender.o: Source/EmailSender.cpp
	$(CPP) -c Source/EmailSender.cpp -o Source/EmailSender.o $(CXXFLAGS)

Source/EncodeClassName.o: Source/EncodeClassName.cpp
	$(CPP) -c Source/EncodeClassName.cpp -o Source/EncodeClassName.o $(CXXFLAGS)

Source/EpochTimeToString.o: Source/EpochTimeToString.cpp
	$(CPP) -c Source/EpochTimeToString.cpp -o Source/EpochTimeToString.o $(CXXFLAGS)

Source/ExtendedOverlappedPool.o: Source/ExtendedOverlappedPool.cpp
	$(CPP) -c Source/ExtendedOverlappedPool.cpp -o Source/ExtendedOverlappedPool.o $(CXXFLAGS)

Source/FileList.o: Source/FileList.cpp
	$(CPP) -c Source/FileList.cpp -o Source/FileList.o $(CXXFLAGS)

Source/FileListTransfer.o: Source/FileListTransfer.cpp
	$(CPP) -c Source/FileListTransfer.cpp -o Source/FileListTransfer.o $(CXXFLAGS)

Source/FileOperations.o: Source/FileOperations.cpp
	$(CPP) -c Source/FileOperations.cpp -o Source/FileOperations.o $(CXXFLAGS)

Source/FormatString.o: Source/FormatString.cpp
	$(CPP) -c Source/FormatString.cpp -o Source/FormatString.o $(CXXFLAGS)

Source/FullyConnectedMesh.o: Source/FullyConnectedMesh.cpp
	$(CPP) -c Source/FullyConnectedMesh.cpp -o Source/FullyConnectedMesh.o $(CXXFLAGS)

Source/FunctionThread.o: Source/FunctionThread.cpp
	$(CPP) -c Source/FunctionThread.cpp -o Source/FunctionThread.o $(CXXFLAGS)

Source/GetTime.o: Source/GetTime.cpp
	$(CPP) -c Source/GetTime.cpp -o Source/GetTime.o $(CXXFLAGS)

Source/GridSectorizer.o: Source/GridSectorizer.cpp
	$(CPP) -c Source/GridSectorizer.cpp -o Source/GridSectorizer.o $(CXXFLAGS)

Source/LightweightDatabaseClient.o: Source/LightweightDatabaseClient.cpp
	$(CPP) -c Source/LightweightDatabaseClient.cpp -o Source/LightweightDatabaseClient.o $(CXXFLAGS)

Source/LightweightDatabaseCommon.o: Source/LightweightDatabaseCommon.cpp
	$(CPP) -c Source/LightweightDatabaseCommon.cpp -o Source/LightweightDatabaseCommon.o $(CXXFLAGS)

Source/LightweightDatabaseServer.o: Source/LightweightDatabaseServer.cpp
	$(CPP) -c Source/LightweightDatabaseServer.cpp -o Source/LightweightDatabaseServer.o $(CXXFLAGS)

Source/LinuxStrings.o: Source/LinuxStrings.cpp
	$(CPP) -c Source/LinuxStrings.cpp -o Source/LinuxStrings.o $(CXXFLAGS)

Source/LogCommandParser.o: Source/LogCommandParser.cpp
	$(CPP) -c Source/LogCommandParser.cpp -o Source/LogCommandParser.o $(CXXFLAGS)

Source/MessageFilter.o: Source/MessageFilter.cpp
	$(CPP) -c Source/MessageFilter.cpp -o Source/MessageFilter.o $(CXXFLAGS)

Source/NatPunchthrough.o: Source/NatPunchthrough.cpp
	$(CPP) -c Source/NatPunchthrough.cpp -o Source/NatPunchthrough.o $(CXXFLAGS)

Source/NetworkIDManager.o: Source/NetworkIDManager.cpp
	$(CPP) -c Source/NetworkIDManager.cpp -o Source/NetworkIDManager.o $(CXXFLAGS)

Source/NetworkIDObject.o: Source/NetworkIDObject.cpp
	$(CPP) -c Source/NetworkIDObject.cpp -o Source/NetworkIDObject.o $(CXXFLAGS)

Source/PacketConsoleLogger.o: Source/PacketConsoleLogger.cpp
	$(CPP) -c Source/PacketConsoleLogger.cpp -o Source/PacketConsoleLogger.o $(CXXFLAGS)

Source/PacketFileLogger.o: Source/PacketFileLogger.cpp
	$(CPP) -c Source/PacketFileLogger.cpp -o Source/PacketFileLogger.o $(CXXFLAGS)

Source/PacketLogger.o: Source/PacketLogger.cpp
	$(CPP) -c Source/PacketLogger.cpp -o Source/PacketLogger.o $(CXXFLAGS)

Source/PluginInterface.o: Source/PluginInterface.cpp
	$(CPP) -c Source/PluginInterface.cpp -o Source/PluginInterface.o $(CXXFLAGS)

Source/RakMemoryOverride.o: Source/RakMemoryOverride.cpp
	$(CPP) -c Source/RakMemoryOverride.cpp -o Source/RakMemoryOverride.o $(CXXFLAGS)

Source/RakNetCommandParser.o: Source/RakNetCommandParser.cpp
	$(CPP) -c Source/RakNetCommandParser.cpp -o Source/RakNetCommandParser.o $(CXXFLAGS)

Source/RakNetStatistics.o: Source/RakNetStatistics.cpp
	$(CPP) -c Source/RakNetStatistics.cpp -o Source/RakNetStatistics.o $(CXXFLAGS)

Source/RakNetTransport.o: Source/RakNetTransport.cpp
	$(CPP) -c Source/RakNetTransport.cpp -o Source/RakNetTransport.o $(CXXFLAGS)

Source/RakNetTypes.o: Source/RakNetTypes.cpp
	$(CPP) -c Source/RakNetTypes.cpp -o Source/RakNetTypes.o $(CXXFLAGS)

Source/RakNetworkFactory.o: Source/RakNetworkFactory.cpp
	$(CPP) -c Source/RakNetworkFactory.cpp -o Source/RakNetworkFactory.o $(CXXFLAGS)

Source/RakPeer.o: Source/RakPeer.cpp
	$(CPP) -c Source/RakPeer.cpp -o Source/RakPeer.o $(CXXFLAGS)

Source/RakSleep.o: Source/RakSleep.cpp
	$(CPP) -c Source/RakSleep.cpp -o Source/RakSleep.o $(CXXFLAGS)

Source/Rand.o: Source/Rand.cpp
	$(CPP) -c Source/Rand.cpp -o Source/Rand.o $(CXXFLAGS)

Source/ReadyEvent.o: Source/ReadyEvent.cpp
	$(CPP) -c Source/ReadyEvent.cpp -o Source/ReadyEvent.o $(CXXFLAGS)

Source/ReliabilityLayer.o: Source/ReliabilityLayer.cpp
	$(CPP) -c Source/ReliabilityLayer.cpp -o Source/ReliabilityLayer.o $(CXXFLAGS)

Source/ReplicaManager2.o: Source/ReplicaManager2.cpp
	$(CPP) -c Source/ReplicaManager2.cpp -o Source/ReplicaManager2.o $(CXXFLAGS)

Source/ReplicaManager.o: Source/ReplicaManager.cpp
	$(CPP) -c Source/ReplicaManager.cpp -o Source/ReplicaManager.o $(CXXFLAGS)

Source/rijndael.o: Source/rijndael.cpp
	$(CPP) -c Source/rijndael.cpp -o Source/rijndael.o $(CXXFLAGS)

Source/Router.o: Source/Router.cpp
	$(CPP) -c Source/Router.cpp -o Source/Router.o $(CXXFLAGS)

Source/RPCMap.o: Source/RPCMap.cpp
	$(CPP) -c Source/RPCMap.cpp -o Source/RPCMap.o $(CXXFLAGS)

Source/SHA1.o: Source/SHA1.cpp
	$(CPP) -c Source/SHA1.cpp -o Source/SHA1.o $(CXXFLAGS)

Source/SimpleMutex.o: Source/SimpleMutex.cpp
	$(CPP) -c Source/SimpleMutex.cpp -o Source/SimpleMutex.o $(CXXFLAGS)

Source/SocketLayer.o: Source/SocketLayer.cpp
	$(CPP) -c Source/SocketLayer.cpp -o Source/SocketLayer.o $(CXXFLAGS)

Source/StringCompressor.o: Source/StringCompressor.cpp
	$(CPP) -c Source/StringCompressor.cpp -o Source/StringCompressor.o $(CXXFLAGS)

Source/StringTable.o: Source/StringTable.cpp
	$(CPP) -c Source/StringTable.cpp -o Source/StringTable.o $(CXXFLAGS)

Source/SystemAddressList.o: Source/SystemAddressList.cpp
	$(CPP) -c Source/SystemAddressList.cpp -o Source/SystemAddressList.o $(CXXFLAGS)

Source/TableSerializer.o: Source/TableSerializer.cpp
	$(CPP) -c Source/TableSerializer.cpp -o Source/TableSerializer.o $(CXXFLAGS)

Source/TCPInterface.o: Source/TCPInterface.cpp
	$(CPP) -c Source/TCPInterface.cpp -o Source/TCPInterface.o $(CXXFLAGS)

Source/TelnetTransport.o: Source/TelnetTransport.cpp
	$(CPP) -c Source/TelnetTransport.cpp -o Source/TelnetTransport.o $(CXXFLAGS)

Source/ThreadsafePacketLogger.o: Source/ThreadsafePacketLogger.cpp
	$(CPP) -c Source/ThreadsafePacketLogger.cpp -o Source/ThreadsafePacketLogger.o $(CXXFLAGS)

Source/AutoRPC.o: Source/AutoRPC.cpp
	$(CPP) -c Source/AutoRPC.cpp -o Source/AutoRPC.o $(CXXFLAGS)

Source/RakString.o: Source/RakString.cpp
	$(CPP) -c Source/RakString.cpp -o Source/RakString.o $(CXXFLAGS)

RakNet.o: RakNet.cpp
	$(CPP) -c RakNet.cpp -o RakNet.o $(CXXFLAGS)
